GINQ_SET_SEG_NAMES(3NCARG)

NAME
ginq_set_seg_names (Inquire set of segment names in use) - Retrieves what segment names are currently in use.

SYNOPSIS
#include <ncarg/gks.h>

void ginq_set_seg_names(Gint num_elems_appl_list, Gint start_pos, Gint *err_ind, Gint_list *seg_names, Gint *length_list);

DESCRIPTION

num_elems_appl_list
    (Input) - The number of elements in the application list you wish to request.

start_pos
    (Input) - The first set member requested.

err_ind
    (Output) - If the GKS state is WSOP (workstation open), WSAC (workstation active), or SGOP (segment open), then err_ind is returned as "0"; otherwise err_ind is returned as "7".

length_list
    (Output) - The number of segment names that are currently in use.

seg_names.num_ints
    (Gint, Output) - The number of segment names returned.

seg_names.ints
    (Gint *, Output) - If the GKS state is WSOP (workstation open), WSAC (workstation active), or SGOP (segment open), and if start_pos is non-negative, then seg_names.ints is returned as the list of segment names starting with element "start_pos" and ending with element "start_pos + num_elems_appl_list - 1" or "start_pos + length_list - 1", whichever is less; otherwise seg_names.num_ints is undefined.

USAGE
For NCAR GKS, segment names are integers between 0 and 99 inclusive (see the man page for gcreate_seg(3NCARG)).

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: geval_tran_matrix(3NCARG), gaccum_tran_matrix(3NCARG), gclose_seg(3NCARG), gcreate_seg(3NCARG), gcopy_seg_ws(3NCARG), ginq_name_open_seg(3NCARG), gdel_seg(3NCARG), gset_seg_tran(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.